<?php
Header("Content-type: application/xml");

// vytvoříme prázdný dokumentu
$doc = new DOMDocument();

// vytvoříme kořenový element pro celý dokument
$element = $doc->createElement("dokument");

// připojíme element do dokumentu
$doc->appendChild($element);

// vytvoříme nový fragment 
$fragment = $doc->createDocumentFragment();

// přidáme do něj dva elementy
$fragment->appendChild($doc->createElement("a", "A"));
$fragment->appendChild($doc->createElement("b", "B"));

// a ještě přímo kousek XML
$fragment->appendXML("nazdar<c>ahoj</c>");

// fragment najednou přidáme do dokumentu XML
$element->appendChild($fragment);

// vytvořené XML pošleme do prohlížeče
echo $doc->saveXML();

?>