<?php
Header("Content-type: text/plain; charset=utf-8");

// testovací dokument XML 
$xml = "<a><b/><c/><d/></a>";

// načtení XML dokumentu do paměti do DOM stromu
$doc = DOMDocument::LoadXML($xml);

// uzel, u kterého chceme smazat všechny děti
$a = $doc->documentElement;

foreach($a->childNodes as $node)
{
  $a->removeChild($node);
}

echo $doc->saveXML();

// načtení XML dokumentu do paměti do DOM stromu
$doc = DOMDocument::LoadXML($xml);

// uzel, u kterého chceme smazat všechny děti
$a = $doc->documentElement;

foreach($a->childNodes as $node)
{
  $a->removeChild($a->firstChild);
}
echo $doc->saveXML();


// načtení XML dokumentu do paměti do DOM stromu
$doc = DOMDocument::LoadXML($xml);

// uzel, u kterého chceme smazat všechny děti
$a = $doc->documentElement;

$len = $a->childNodes->length;
for($i=$len-1; $i>=0; $i--)
{
  $a->removeChild($a->childNodes->item($i));
}
echo $doc->saveXML();

// načtení XML dokumentu do paměti do DOM stromu
$doc = DOMDocument::LoadXML($xml);

// uzel, u kterého chceme smazat všechny děti
$a = $doc->documentElement;

while ($a->hasChildNodes())
{
  $a->removeChild($a->firstChild);
}

echo $doc->saveXML();


?>