<?php

// následující kód bude hlásit chyby, protože dokument používá entity definované v externím DTD
$dom = new DOMDocument();
$dom->load("../data/stranka.xhtml");

// musíme zapnout podporu načítání externích entit
$dom->resolveExternals = true;
$dom->load("../data/stranka.xhtml");

// dokument se uloží beze změny
$dom->save("bezezmeny.xml");

// nakonec dokument načteme a odkazy na entity nahradíme jejich obsahem 
$dom->resolveExternals = true;
$dom->substituteEntities = true;
$dom->load("../data/stranka.xhtml");
$dom->save("bezentit.xml");

// validace dokumentu oproti DTD
$dom->resolveExternals = true;
$dom->validateOnParse = true;
$dom->load("../data/nevalidni-stranka.xhtml");

// vyhodnocení XInclude
$dom->resolveExternals = true;
$dom->substituteEntities = true;
$dom->validateOnParse = false;
$dom->load("../data/stranka-xinclude.xhtml");
$dom->xinclude();
$dom->save("slozeny.xml");

?>
