<?php Header("Content-type: text/html; charset=utf-8"); ?>
<pre>
<?php

// načtení dokumentu do paměti
$dom = new DOMDocument();
$dom->preserveWhiteSpace = false;
$dom->load("../data/faktura.xml");

// spuštění průchodu stromem
Walk($dom->documentElement, 0);

// funkce vypíše aktuální uzel a zpracuje jeho děti
function Walk($node, $depth)
{
  // pro element se vypíše jeho počáteční tag
  if ($node->nodeType == XML_ELEMENT_NODE)
  {
    echo str_repeat("  ", $depth) . "&lt;" . $node->nodeName . ">\n";
  }
  // textové uzly se vypíší
  elseif ($node->nodeType == XML_TEXT_NODE)
  {
    echo str_repeat("  ", $depth) . $node->nodeValue . "\n";
  }
  
  // má-li uzel děti, zpracují se
  if ($node->hasChildNodes())
  {
    foreach($node->childNodes as $subNode)
    {
      Walk($subNode, $depth + 1);
    }
  }

  // pro element se nakonec vypíše i jeho koncový tag
  if ($node->nodeType == XML_ELEMENT_NODE)
  {
    echo str_repeat("  ", $depth) . "&lt;/" . $node->nodeName . ">\n";
  }
}

?>
</pre>