<!DOCTYPE HTML PUBLIC '-//W3C//DTD HTML 4.01//EN'>
<html lang="cs">
  <head>
    <meta http-equiv="content-type" content="text/html;charset=utf-8">
    <title>Přehled zpráv</title>
  </head>
  <body>
<?php 

// vytvoření nového XMLReaderu
$reader = new XMLReader();

// otevření souboru pro čtení
$reader->open("../data/luparss.xml");

// dokud je co, čteme další část dokumentu XML
while ($reader->read())
{
  // obsluha odkazu (element link)
  if ($reader->nodeType == XMLReader::ELEMENT && $reader->name == "link")
    echo "<h1>Přehled aktuálních zpráv ze serveru 
      <a href='" . htmlspecialchars($reader->readString(), ENT_QUOTES) . "'>" .
      $title . "</a></h1>";

  // obsluha názvu kanálu
  if ($reader->nodeType == XMLReader::ELEMENT && $reader->name == "title")
    $title = htmlspecialchars($reader->readString());

  // obsluha položky v kanálu
  if ($reader->nodeType == XMLReader::ELEMENT && $reader->name == "item")
  {
    echo "<dl>";

    // dokud je co, čteme další část dokumentu XML 
    // předpokládáme přitom, že elementy jsou uvnitř elementu item
    while ($reader->read())
    {
      if ($reader->nodeType == XMLReader::ELEMENT && $reader->name == "link")
				echo "<dt><a href='" . htmlspecialchars($reader->readString(), ENT_QUOTES) . "'>" .
					$title . "</a></dt>\n";

      if ($reader->nodeType == XMLReader::ELEMENT && $reader->name == "title")
				$title = htmlspecialchars($reader->readString());

      if ($reader->nodeType == XMLReader::ELEMENT && $reader->name == "description")
				echo "<dd>" .  htmlspecialchars($reader->readString()) . "</dd>\n";
    }

    echo "</dl>";
  }
}

?>
  </body>
</html>