<!DOCTYPE HTML PUBLIC '-//W3C//DTD HTML 4.01//EN'>
<html lang="cs">
  <head>
    <meta http-equiv="content-type" content="text/html;charset=utf-8">
    <title>Sečtení faktury</title>
  </head>
  <body>
<?php 
// načtení dokumentu
$xml = simplexml_load_file("../data/faktura.xml", "SimpleXMLElement", 
                           LIBXML_NOENT|LIBXML_DTDLOAD|LIBXML_DTDATTR);

// zjištění čísla faktury
echo "Faktura číslo: " . $xml["cislo"] . "<br>\n";

// odběratel
echo "Odběratel: " . htmlspecialchars($xml->odberatel->nazev) . "<br>\n"; 

// sečtení faktury
$suma = 0; 
$sumaDPH = 0;

foreach ($xml->polozka as $polozka)
{
  $suma += $polozka->cena;
  $sumaDPH += ($polozka->cena) * ($polozka->cena["dph"]) / 100;
}

// vypsání součtu
echo "Celkem: " . number_format($suma, 2, ",", ".") . "<br>\n";
echo "DPH: " . number_format($sumaDPH, 2, ",", ".");
?>
  </body>
</html>