<?php 
Header("Content-type: text/plain; charset=utf-8");

// nastavení vlastní obsluhy chyb
libxml_use_internal_errors(true);

// načtení dokumentu se zapnutou validací
$xml = simplexml_load_file("../schema/zamestnanci-chyba-dtd.xml", "SimpleXMLElement", LIBXML_DTDVALID);

// vznikly při načítání dokumentu nějaké chyby
if ($errors = libxml_get_errors())
{
  echo "Dokument není validní:\n";

  // postupné zpracování všech chyb
  foreach ($errors as $error)
  {
    // u každé chyby vypíšeme jméno souboru, řádek, sloupec a chybové hlášení
    echo $error->file . ":" . $error->line . ":" . $error->column . ":" . $error->message . "\n";
  }
  
  // vyčištění chyb
  libxml_clear_errors();
  exit;
}
else
{
  echo "Dokument je validní oproti DTD.";
}

?>