<?xml version="1.0" encoding="utf-8"?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
                version="1.0">

<xsl:output method="html" encoding="utf-8"/>
  
<xsl:template match="/">
  <html>
    <head>
      <title><xsl:value-of select="/katalog/nazev"/></title>
      <style type="text/css">
        body   { color: black; background-color: white; }
        table  { border: solid 2px black; border-collapse: collapse; }
        th a   { text-decoration: none; color: black; }
        th     { background-color: #FF8000; }
        th, td { border: solid 1px black; }
      </style> 
    </head>
    <body>
      <h1>
        <xsl:value-of select="/katalog/nazev"/>
      </h1>
  
      <table width="100%">

	<xsl:for-each select="/katalog/polozka[1]/*">
	  <tr>
	    <th><xsl:value-of select="name()"/></th>
	    <xsl:for-each select="/katalog/polozka/*[name() = name(current())]">
	      <td align="center"><xsl:value-of select="."/></td>
	    </xsl:for-each>
	  </tr>
	</xsl:for-each>
      </table>

    </body>
  </html>    
</xsl:template>

</xsl:stylesheet>